<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
require_once("../includes/academia.locale.php");
$sesion=new sesion(); // inicio la sesion
//---------------
//cache();
//-----------------
$sesion->set('permiso',permisos($_POST['privilegio']));	

require_once("../../includes/lib_lenguaje.php");
$cleguaje=new cLanguage();

if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}


require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Puestos de los estudiantes</title>
<script  type="text/javascript"> 
var element=null, rowt=null, wnd;
var dtsListEst;
$(document).ready(function(e) {
    var total_por=0;
	var cod_docente="";
	var gr=null;
	var ide_act;
	
/*//-----------------------------------------------------------------------------------------------------*/
	$("#md_n_txtsedes").change(function(){
		cd_sede=$(this).val();
		if(cod_docente==""){
			dt={cod_cnds:cd_sede,codigo:'a28',mopc:'0'}
		}
		$.ajax({
			type: "POST",
			url: "../includes/cargar_selec_normal.php",
			data: dt,
			success: function(dt){
				$("#md_n_txtjornadas").html(dt);
				$("#md_n_txtjornadas").trigger("change");
			},
		});
	});

/*//-----------------------------------------------------------------------------------------------------*/

	$("#md_n_txtjornadas").change(function(){
		var jor=$(this).val();
		$.ajax({
			type: "POST",
			url: "mod_reportes/reporte_puestos/cargar_select_grupos.php",
			data: {sede:$("#md_n_txtsedes").val(), jornada:jor},
			success: function(rta){
				$("#md_n_txtgrupo").html(rta);
				$("#md_n_txtgrupo").trigger("change");
			}
		});
	});

/*//-----------------------------------------------------------------------------------------------------*/

	$("#md_n_txtgrupo").change(function(){
		$("#nomGrupo").text($("option:selected",this).parent()[0].label);
		cd_grupo=$(this).val();
		$.ajax({
			type: "POST",
			url: "mod_reportes/reporte_puestos/cargar_select_periodos.php",
			data: {cod_cnds:cd_grupo},
			success: function(rta){
				$("#md_n_periodo").html(rta);
				$("#md_n_periodo").trigger("change");
			}
		});
	});

/*//-----------------------------------------------------------------------------------------------------*/			
	
	$("#md_n_periodo").change(function(){
		gridBoletin.datagrid({
			url:'mod_reportes/reporte_puestos/list_estudiantes_boletin.php',
			queryParams: {
				cdgr:$("#md_n_txtgrupo").val(),
				per_calif: $("#md_n_periodo").val(), 
			}
		});  		
	});
/*//-----------------------------------------------------------------------------------------------------*/
	$("#md_n_txtsedes").trigger("change");
	var row_acti;
	var gridBoletin=$("#list_infoEstboletin");
	var toolbar=[
		{
			text:dtsLang.reportes.ver_puestos,
			iconCls:'icon-print',
			handler:function(){
				sede=$("#md_n_txtsedes option:selected").attr('nomsede');
				jor=$("select#md_n_txtjornadas option:selected").text();
				gru=$("select#md_n_txtgrupo").val();
				lgru=$("#md_n_txtgrupo option:selected").attr('grado') + ' ' + $("#md_n_txtgrupo option:selected").attr('grupo');
				sec=$("#md_n_txtgrupo option:selected").attr('seccion');
				per=$("select#md_n_periodo").val();
				id_gr=$("#md_n_txtgrupo option:selected").attr('id_grado');
				var regs=gridBoletin.datagrid('getSelections'); 
				var tam=regs.length;
				var ids=[];
				$.each(regs,function(i,v){
					ids.push(v['cod_estudiante']);
				});
				if (tam>0){
					var datos='est='+ids+'&sede='+sede+'&grado='+lgru+'&grupo='+gru+'&peri='+per+'&secc='+sec+"&jorn="+jor+"&id_gr="+id_gr; 
					window.open('mod_reportes/reporte_puestos/puestos_gral.php?' + datos ,'','width=800,height=550,menubar=0,scrollbars=yes')
				}
				else{
					jAlert(dtsLang.boletines.sel_rec,dtsLang.project.empresa);	
				}	
			}
		},{
			
			text:'Vista Preliminar',
			iconCls:'icon-vermas',
			handler:function(){
				sede=$("#md_n_txtsedes option:selected").attr('nomsede');
				jor=$("select#md_n_txtjornadas option:selected").text();
				gru=$("select#md_n_txtgrupo").val();
				lgru=$("#md_n_txtgrupo option:selected").attr('grado') + ' ' + $("#md_n_txtgrupo option:selected").attr('grupo');
				sec=$("#md_n_txtgrupo option:selected").attr('seccion');
				per=$("select#md_n_periodo").val();
				id_gr=$("#md_n_txtgrupo option:selected").attr('id_grado');
				
				var regs=gridBoletin.datagrid('getSelections');
				var tam=regs.length;
				var ids=[];
				$.each(regs,function(i,v){
					ids.push(v['cod_estudiante']);
				});
				if (tam>0){
					var datos='est='+ids+'&sede='+sede+'&grado='+lgru+'&grupo='+gru+'&peri='+per+'&secc='+sec+"&jorn="+jor+"&id_gr="+id_gr; 
					$.colorbox({
						iframe:true,
						href:'mod_reportes/reporte_puestos/puestos_gral.php?' + datos,
						width:800,
						height:'90%',
					});
					//window.open('mod_boletines/imprime_boletin.php?' + datos ,'','width=800,height=550,menubar=0,scrollbars=yes')
				}
				else{
					jAlert(dtsLang.boletines.sel_rec,dtsLang.project.empresa);	
				}	
			}
		},
	]
	gridBoletin.datagrid({  
		title: dtsLang.boletines.titulogrilla,
		url:null,
		toolbar:toolbar,
		rownumbers:true,  
		columns:[[
			{field:'ck',checkbox:true}, 
			{field:'numedocumento_est',title:dtsLang.boletines.documento,width:120},  
			{field:'nombre',title:dtsLang.boletines.nom_ape,width:298},  
		]]  
	});


	
	
	
	
});
</script>

</head>

<body>
<table align="center">
	<tr>
	  <td colspan="2" align="center">
          <table align="left">
	        <tr clas class="tit1">
	          <td><?php echo $cleguaje->getField('global','name_sede') ?></td>
	          <td><?php echo $cleguaje->getField('global','name_jornada') ?></td>
	          <td><?php echo $cleguaje->getField('global','grupos')?> &nbsp;<span class="text4" id="nomGrupo"></span></td>
	          <td id="tipo_evaluacion"><?php echo $cleguaje->getField('md_notas','periodos') ?></td>
	          </tr>
	        <tr>
	          <td><select name="md_n_txtsedes" class="campos" id="md_n_txtsedes" style="width:250px; " >
	      <?php
		  	if($cd_docente!=""){
				$sql="SELECT
							DISTINCT adm_sedes.cod_sede
							, adm_sedes.nom_sede
						FROM
							aca_grupos
							INNER JOIN adm_sedes 
								ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
							INNER JOIN aca_asignaturasxgrupos 
								ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo) ORDER BY adm_sedes.con_sede ASC";
			}
			
					
			$academia->instruccion($sql);
			while($reg=$academia->extraer_registro()){
				echo "<option value='".$reg[cod_sede]."' nomsede='".$reg[nom_sede]."' aux='$cmpaux2' >".$reg[nom_sede]."</option>";	
			}
			$academia->liberar();
					
		?>
	            </select></td>
	          <td><select name="md_n_txtjornadas" class="campos" id="md_n_txtjornadas" style="width:160px">
	            <option value="0x">Seleccionar...</option>
	            <?php
		
               ?>
	            </select></td>
	          <td><select name="md_n_txtgrupo" class="campos" id="md_n_txtgrupo" style="width:160px">
	            <option value="0x">Seleccionar...</option>
	            </select></td>
	          <td><select name="md_n_txtperiodo" class="campos" id="md_n_periodo" style="width:160px">
	            <option value="0x">Seleccionar...</option>
	            </select></td>
	          </tr>
          </table>
      </td>
  </tr>
	<tr>
    	<td colspan="2" align="center">	
            <table id="list_infoEstboletin" align="center" style="height:450px; width:500px"></table>
			<div id="pager_infoEstInasistencia" align="center"></div>
        </td>
	</tr>
</table>
</div>
</body>
</html>